package cn.iocoder.yudao.module.shipment.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class LoadDto {

    @ExcelProperty("id")
    private String id;

    @ExcelProperty("orderNo")
    private String orderNo;

    @ExcelProperty("marks")
    private String marks;

    @ExcelProperty("prodTitleZh")
    private String prodTitleZh;

    @ExcelProperty("quantity")
    private Integer quantity;

    @ExcelProperty("brand")
    private String brand;

    @ExcelProperty("productRecord")
    private String productRecord;

    @ExcelProperty("prodAttr")
    private String prodAttr;//特性

    @ExcelProperty("sumNum")
    private Integer sumNum;

    @ExcelProperty("unit")
    private String unit;

    @ExcelProperty("sumVolume")
    private BigDecimal sumVolume;

    @ExcelProperty("sumWeight")
    private BigDecimal sumWeight;

    @ExcelProperty("packageType")
    private String packageType;

    @ExcelProperty("material")
    private String material;

    @ExcelProperty("usageIds")
    private String usageIds;//用途

    @ExcelProperty("merge")
    private String merge;

    @ExcelProperty("relateOrder")
    private String relateOrder;

    @ExcelProperty("customsType")
    private String customsType;

    @ExcelProperty("worth")
    private BigDecimal worth;

}
